Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.es
Class EntityStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.vordel.es.EntityStoreException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DuplicateKeysException, IncompatibleTypeException, UnknownTypeException

    public class EntityStoreException

extends java.lang.Exception

Specialization of Exception for problems which can occur in the course of using the EntityStore framework.

See Also:
  Serialized Form

Constructor Summary
`EntityStoreException(java.lang.String message)` Constructor with message.
`EntityStoreException(java.lang.String message, java.util.Collection<ESPK> offenders)` Constructor with message and problematic entity identifiers
`EntityStoreException(java.lang.String message, ESPK... offenders)` Constructor with message and problematic entity identifiers
`EntityStoreException(java.lang.String message, java.lang.Throwable cause)` Constructor with message and embedded exception

Method Summary
`java.util.Collection<ESPK>` | `getOffenders()` Get a list of ESPKs which are the cause of this problem, or null if not applicable

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityStoreException

    public EntityStoreException(java.lang.String message)

  Constructor with message.

  Parameters:
    `message` - The reason for this exception, or other explanatory text.

### EntityStoreException

    public EntityStoreException(java.lang.String message,
                                java.lang.Throwable cause)

  Constructor with message and embedded exception

  Parameters:
    `message` - Some context to this failure
    `cause` - The underlying cause of this exception

### EntityStoreException

    public EntityStoreException(java.lang.String message,
                                java.util.Collection<ESPK> offenders)

  Constructor with message and problematic entity identifiers

  Parameters:
    `message` - Some context to this failure
    `offenders` - A list of ESPKs which caused the problem

### EntityStoreException

    public EntityStoreException(java.lang.String message,
                                ESPK... offenders)

  Constructor with message and problematic entity identifiers

  Parameters:
    `message` - Some context to this failure
    `offenders` - A list of ESPKs which caused the problem

Method Detail

### getOffenders

    public java.util.Collection<ESPK> getOffenders()

  Get a list of ESPKs which are the cause of this problem, or null if not applicable

  Returns:
    An array of ESPKs which are causing the specific problem, or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel